Fetch Customer Orders
1 min
GET
https://api.nue.io/orders
Query Parameters
- customerIdsstring[]requiredDescription
- includesstringDescriptionAllowedorderProductsassetsinvoices
- statusstringDescriptionAllowedactivateddraftcanceled
Responses
200
- object
- statusstringExample
- dataobjectDescription
- warningsobject[]Description
400
- ValidationError
- statusstring<FAILURE>AllowedFAILURE
- errorCodestringDescription
- messagestringDescription
401
- UnauthorizedErrorDescription
- statusDescription
- errorstringDescription
- errorCodestringDescription
- errorTypestringDescription
- messagestringDescription
404
- NotFoundErrorDescription
- statusintegerDescription
- errorstringDescription
- messagestringDescription
curl
curl --request GET \
--url 'https://api.nue.io/orders?customerIds=array' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/orders?customerIds=array", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/orders?customerIds=array")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/orders?customerIds=array"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successfully created order preview
{
"status": "SUCCESS",
"data": {},
"warnings": [
{}
]
}400
// Bad Request - Invalid request data
{
"status": "",
"errorCode": "",
"message": ""
}GENERATED
// Bad Request - Invalid request data
{
"status": "",
"errorCode": "",
"message": ""
}Empty request body
{
"status": "FAILURE",
"errorType": "INVALID_ARGUMENT",
"errorCode": "ORDER_EMPTY_BODY",
"message": "Request for creating an order preview has failed. Order details contains validation errors: Payload must contain valid data and cannot be empty (received: '{} (empty map)')"
}Invalid JSON
{
"status": "FAILURE",
"errorCode": "INVALID_JSON",
"message": "Invalid JSON in request body. Please check for syntax errors."
}401
// Unauthorized - Authentication failed
{
"status": "",
"error": "",
"errorCode": "",
"errorType": "",
"message": ""
}GENERATED
// Unauthorized - Authentication failed
{
"status": "",
"error": "",
"errorCode": "",
"errorType": "",
"message": ""
}Missing API key
{
"status": "FAILURE",
"errorCode": "MISSING_AUTH_METHOD",
"errorType": "AUTHENTICATION_ERROR",
"message": "No authentication method provided in the request."
}Invalid API key
{
"status": 401,
"error": "Unauthorized",
"message": "Invalid api key invalid-key"
}404
// Not Found - Endpoint not found
{
"status": 0,
"error": "",
"message": ""
}GENERATED
// Not Found - Endpoint not found
{
"status": 0,
"error": "",
"message": ""
}Endpoint not found
{
"timestamp": "2025-06-17T19:25:53.449+00:00",
"path": "/nonexistent-endpoint",
"status": 404,
"error": "Not Found",
"requestId": "7acde796-25009"
}